Subject: [bug#76503] forge-based workflow

From: Benjamin Slade <[email-masked]>
Date: Sun, 23 Feb 2025 16:02:17 -0600

Hi Ludo’,

I think this is an excellent proposal. I've contributed over the years to Guix by sending email patches to debbugs, but I usually forgot each time exactly the best practices and usually someone (often you) has had to amend them slightly before merging. (And then I've got stuck contributing things like the `python-ical2orgpy', which required writing definitions for its python package dependencies, and figuring out how to properly send the patch series.) And finding things in email is often more cognitively difficult to keep all the pieces and steps involved in doing it properly. Since I've used to forge-based workflows from contributing to other projects, I think this would significantly reduce barriers for managing to actually getting round to contribute upstream. (I've got my own channel I use for things and a whole Org TODO list of things I want to submit upstream.)

I would also think a forge could make review and merge workflows smoother.

I'm very excited about this possibility. Thanks again for this proposal!

best,
 —Benjamin
 --
 '(Dr Benjamin Slade (he/him)
     (website . <https://lambda-y.net>)     
     `(pgp_fp: ,(B20E 444C FA80 B5F8 15FA  4AD8 6FBF CD68 3B05 2B84))
       "sent by [mu4e] 1.12.8 in [Emacs] 30.0.93 with [org-msg] on [GNU Guix] ([Linux])")

[mu4e] <https://www.djcbsoftware.nl/code/mu/mu4e.html>

[Emacs] <https://www.gnu.org/software/emacs/>

[org-msg] <https://github.com/jeremy-compostella/org-msg>

[GNU Guix] <https://guix.gnu.org/>

[Linux] <https://opensource.com/resources/linux>